#include <ESP8266WiFi.h>
// #include <WiFiClient.h>
#include <ESP8266WebServer.h>
#include <ESP8266mDNS.h>
MDNSResponder mdns;
const char* ssid = "nomerete";
const char* password = "xxxxxxx";
IPAddress ip(192, 168, 0, 15 );
IPAddress gateway(192,168,0,1);
IPAddress subnet(255,255,255,0);
ESP8266WebServer server(80);
String webPage = "";
int gpio0_pin = 0;
int gpio2_pin = 2;
void setup(void) {
  webPage += "<h1>Telecomando 1 WiFi WebServer</h1><p>Luce #1 <a href=\"socket1On\"><button>ACCENDI</button></a>&nbsp;&nbsp;<a href=\"socket1Off\"><button>SPEGNI</button></a></p>";
  webPage += "<p>Luce #2 <a href=\"socket2On\"><button>ACCENDI</button></a>&nbsp;&nbsp;<a href=\"socket2Off\"><button>SPEGNI</button></a></p>";
  pinMode(gpio0_pin, OUTPUT);
  digitalWrite(gpio0_pin, LOW);
  pinMode(gpio2_pin, OUTPUT);
  digitalWrite(gpio2_pin, LOW);
  delay(1000);
  Serial.begin(115200);
  WiFi.enableAP(0); // nasconde la rete SSID
  WiFi.begin(ssid, password);
  WiFi.config(ip,gateway,subnet);
  Serial.println("");
  // Wait for connection
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.print("Connesso a ");
  Serial.println(ssid);
  Serial.print("Indirizzo IP: ");
  Serial.println(WiFi.localIP());

  if (mdns.begin("esp8266", WiFi.localIP())) {
    Serial.println("MDNS responder started");
  }

  server.on("/", []() {
    server.send(200, "text/html", webPage);
  });
  server.on("/socket1On", []() {
    server.send(200, "text/html", webPage);
    digitalWrite(gpio0_pin, HIGH);
    delay(1000);
  });
  server.on("/socket1Off", []() {
    server.send(200, "text/html", webPage);
    digitalWrite(gpio0_pin, LOW);
    delay(1000);
  });
  server.on("/socket2On", []() {
    server.send(200, "text/html", webPage);
    digitalWrite(gpio2_pin, HIGH);
    delay(1000);
  });
  server.on("/socket2Off", []() {
    server.send(200, "text/html", webPage);
    digitalWrite(gpio2_pin, LOW);
    delay(1000);
  });
  server.begin();
  Serial.println("HTTP server avviato");
}

void loop(void) {
  server.handleClient();
}
